Apache log4cxx: log4cxx::rolling Namespace Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

# log4cxx::rolling Namespace Reference

## Classes
class | Action
| A file system action performed as part of a rollover event. More...
class | FileRenameAction
class | FilterBasedTriggeringPolicy
| FilterBasedTriggeringPolicy determines if rolling should be triggered by evaluating the current message against a set of filters. More...
class | FixedWindowRollingPolicy
| When rolling over, `FixedWindowRollingPolicy` renames files according to a fixed window algorithm as described below. More...
class | GZCompressAction
class | ManualTriggeringPolicy
| ManualTriggeringPolicy only rolls over on explicit calls to RollingFileAppender.rollover(). More...
class | RollingFileAppender
| `RollingFileAppender` extends log4cxx::FileAppender to backup the log files depending on RollingPolicy and TriggeringPolicy. More...
class | RollingFileAppenderSkeleton
| Base class for log4cxx::rolling::RollingFileAppender and log4cxx::RollingFileAppender (analogues of org.apache.log4j.rolling.RFA from extras companion and org.apache.log4j.RFA from log4j 1.2, respectively). More...
class | RollingPolicy
| A `RollingPolicy` is responsible for performing the rolling over of the active log file. More...
class | RollingPolicyBase
| Implements methods common to most, it not all, rolling policies. More...
class | RolloverDescription
class | SizeBasedTriggeringPolicy
| SizeBasedTriggeringPolicy looks at size of the file being currently written to. More...
class | TimeBasedRollingPolicy
| `TimeBasedRollingPolicy` is both easy to configure and quite powerful. More...
class | TriggeringPolicy
| A `TriggeringPolicy` controls the conditions under which rollover occurs. More...
class | ZipCompressAction
## Functions
| LOG4CXX_PTR_DEF (Action)
| LOG4CXX_PTR_DEF (FileRenameAction)
| LOG4CXX_PTR_DEF (FilterBasedTriggeringPolicy)
| LOG4CXX_PTR_DEF (FixedWindowRollingPolicy)
| LOG4CXX_PTR_DEF (GZCompressAction)
| LOG4CXX_PTR_DEF (RollingFileAppender)
| LOG4CXX_PTR_DEF (RollingFileAppenderSkeleton)
| LOG4CXX_PTR_DEF (RollingPolicy)
| LOG4CXX_PTR_DEF (RolloverDescription)
| LOG4CXX_PTR_DEF (SizeBasedTriggeringPolicy)
| LOG4CXX_PTR_DEF (TimeBasedRollingPolicy)
| LOG4CXX_PTR_DEF (TriggeringPolicy)
| LOG4CXX_PTR_DEF (ZipCompressAction)

## Function Documentation

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | ZipCompressAction |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | TriggeringPolicy |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | TimeBasedRollingPolicy |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | SizeBasedTriggeringPolicy |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | RolloverDescription |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | RollingPolicy |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | RollingFileAppenderSkeleton |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | RollingFileAppender |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | GZCompressAction |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | FixedWindowRollingPolicy |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | FilterBasedTriggeringPolicy |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | FileRenameAction |  | ) |

log4cxx::rolling::LOG4CXX_PTR_DEF | ( | Action |  | ) |